#####  Created by:
#####  Bridge Commander Universal Tool


import App
import Foundation


abbrev = "PGalaxy"
iconName = "Galaxy"
longName = "Galaxy"
shipFile = "PGalaxy"
species = App.SPECIES_GALAXY
menuGroup = "Star Wreck Ships"
playerMenuGroup = "Star Wreck Ships"
Foundation.ShipDef.PGalaxy = Foundation.ShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })


Foundation.ShipDef.PGalaxy.desc = "In a somewhat \'comical\' counterpart to the standard Star Trek universe is a strange version of reality with the P-Fleet (a parody of Starfleet). This one of it\'s most powerful ships, a parody of the Federation Galaxy Class."
Foundation.ShipDef.PGalaxy.SubMenu = "P-Fleet"
Foundation.ShipDef.PGalaxy.SubSubMenu = "Galaxy"
Foundation.ShipDef.PGalaxy.CloakingSFX = ""
Foundation.ShipDef.PGalaxy.DeCloakingSFX = ""
Foundation.ShipDef.PGalaxy.fMaxWarp = 8 + 0.0001
Foundation.ShipDef.PGalaxy.fCruiseWarp = 4 + 0.0001


if menuGroup:           Foundation.ShipDef.PGalaxy.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.PGalaxy.RegisterQBPlayerShipMenu(playerMenuGroup)


if Foundation.shipList._keyList.has_key(longName):
      Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
      Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]


def PGalaxyIDSwap(self):
       retval = {'Textures': [
                ['defaultID_glow', 'Data/Models/SharedTextures/FedShips/high/PGalaxyID_glow.tga'],
                ['Dauntless', 'Data/Models/SharedTextures/FedShips/high/PGalaxyID_glow.tga']
                ]}
       return retval


Foundation.ShipDef.PGalaxy.__dict__['SDT Entry'] = PGalaxyIDSwap
